import { BotType } from './Defines';
import { Utils } from './Utils';
export class MockData {
    static readonly gameBot = [
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 1",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 2",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 3",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 4",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 5",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 6",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 7",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 8",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 9",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 9",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 9",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 9",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 9",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 9",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 9",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 9",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 9",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        {
            playerID: Utils.uuid,
            name: "THINH PHAN 9",
            type: BotType.JoinRoom,
            timeLobbyAction: 1000
        },
        // {
        //     playerID: Utils.uuid,
        //     name: "THINH PHAN 4",
        //     type: BotType.CreateRoom,
        //     timeLobbyAction: 3000
        // }
    ]

    static readonly gameBot2 = [
        {
            type: BotType.JoinRoom,
            amout: 9,
            timeLobbyAction: 1000
        },
        // {
        //     type: BotType.CreateRoom,
        //     amout: 40,
        //     timeLobbyAction: 1000
        // }
    ]

    static readonly lobbyRoomInfoData = {
        data: [
            {
                roomID: "1",
                currentUserCounter: 1,
                maxUser: 10,
                mapIndex: 1
            },
            {
                roomID: "2",
                currentUserCounter: 2,
                maxUser: 10,
                mapIndex: 1
            },
            {
                roomID: "3",
                currentUserCounter: 3,
                maxUser: 10,
                mapIndex: 1
            },
            {
                roomID: "4",
                currentUserCounter: 4,
                maxUser: 10,
                mapIndex: 1
            },
            {
                roomID: "5",
                currentUserCounter: 5,
                maxUser: 10,
                mapIndex: 1
            },
            {
                roomID: "6",
                currentUserCounter: 6,
                maxUser: 10,
                mapIndex: 1
            },
            {
                roomID: "7",
                currentUserCounter: 5,
                maxUser: 10,
                mapIndex: 1
            },
            {
                roomID: "8",
                currentUserCounter: 5,
                maxUser: 10,
                mapIndex: 1
            },
            {
                roomID: "9",
                currentUserCounter: 5,
                maxUser: 10,
                mapIndex: 1
            },
            {
                roomID: "10",
                currentUserCounter: 5,
                maxUser: 10,
                mapIndex: 1
            },
            {
                roomID: "11",
                currentUserCounter: 5,
                maxUser: 10,
                mapIndex: 1
            },
            {
                roomID: "12",
                currentUserCounter: 5,
                maxUser: 10,
                mapIndex: 1
            },
            {
                roomID: "13",
                currentUserCounter: 5,
                maxUser: 10,
                mapIndex: 1
            }
        ]
    }

    static readonly roomInfoData = {
        roomID: '123456',
        hostPlayerID: '0938314514',
        maxUser: 10,
        users: [
            {
                playerID: '0938314514',
                name: 'THINH PHAN'
            },
            {
                playerID: '0938314515',
                name: 'THINH PHAN 1'
            }
        ]
    }

    static readonly roomLobbyData = {
        users: [
            {
                userID: '123456',
                name: 'THINH PHAN'
            },
            {
                userID: '123456',
                name: 'THINH PHAN 1'
            },
            {
                userID: '123456',
                name: 'THINH PHAN 2'
            },
            {
                userID: '123456',
                name: 'THINH PHAN 3'
            },
            {
                userID: '123456',
                name: 'THINH PHAN 4'
            },
            {
                userID: '123456',
                name: 'THINH PHAN 4'
            },
            {
                userID: '123456',
                name: 'THINH PHAN 4'
            },
            {
                userID: '123456',
                name: 'THINH PHAN 4'
            },
            {
                userID: '123456',
                name: 'THINH PHAN 4'
            },
            {
                userID: '123456',
                name: 'THINH PHAN 4'
            },
            {
                userID: '123456',
                name: 'THINH PHAN 4'
            },
            {
                userID: '123456',
                name: 'THINH PHAN 4'
            },
            {
                userID: '123456',
                name: 'THINH PHAN 4'
            },
        ]
    }

    static readonly gameItem = [
        {
            x: 11,
            y: 3,
            type: 0,
        },
        {
            x: 14,
            y: 25,
            type: 1,
        },
        {
            x: 12,
            y: 12,
            type: 2,
        },
        {
            x: 12,
            y: 19,
            type: 3,
        },
        {
            x: 4,
            y: 19,
            type: 5,
        }
    ]

    static readonly gameTeleport = [
        {
            position1: {
                x: 3,
                y: 3
            },
            position2: {
                x: 14,
                y: 31
            },
            color: {
                x: 0,
                y: 0,
                z: 0
            }
        },
        // {
        //     position1: {
        //         x: 180,
        //         y: 180
        //     },
        //     position2: {
        //         x: 1840,
        //         y: 900
        //     },
        //     color: {
        //         x: 255,
        //         y: 0,
        //         z: 0
        //     }
        // },
        // {
        //     position1: {
        //         x: 400,
        //         y: 540
        //     },
        //     position2: {
        //         x: 1042,
        //         y: 420
        //     },
        //     color: {
        //         x: 0,
        //         y: 255,
        //         z: 0
        //     }
        // },
        // {
        //     position1: {
        //         x: 1180,
        //         y: 140
        //     },
        //     position2: {
        //         x: 2140,
        //         y: 580
        //     },
        //     color: {
        //         x: 0,
        //         y: 0,
        //         z: 255
        //     }
        // }
    ]

    static readonly map = [
        1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
        1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
        1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 0, 0, 0, 0, 0, 2, 2, 2, 2, 0, 0, 0, 0, 0, 2, 2, 2, 2, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 0, 0, 0, 0, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 2, 2, 2, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 0, 0, 0, 3, 3, 3, 3, 3, 0, 0, 0, 0, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 2, 2, 2, 0, 0, 0, 0, 2, 2, 2, 2, 2, 0, 0, 0, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 0, 0, 0, 0, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 0, 0, 0, 0, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 2, 2, 2, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 3, 3, 3, 2, 2, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 3, 3, 2, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 2, 2, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1,
        1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
        1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
        1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1
    ]

    static readonly playerPosition = [
        {
            x: 6,
            y: 15,
            direction: 1
        },
        {
            x: 24,
            y: 18,
            direction: 1
        },
        {
            x: 15,
            y: 16,
            direction: 1
        },
        {
            x: 4,
            y: 16,
            direction: -1
        },

    ]

    static readonly player = {
        playerID: '0938314514',
        name: "THINH PHAN",
        x: 6,
        y: 15,
        direction: 1
    }

    static readonly gameBotAutoJoinGame = {
        bots: [
            {
                playerID: Utils.uuid,
                name: "AUTO-THINH PHAN 1"
            },
            {
                playerID: Utils.uuid,
                name: "AUTO-THINH PHAN 2"
            },
            {
                playerID: Utils.uuid,
                name: "AUTO-THINH PHAN 3"
            }
        ]
    }

    static readonly unitMap = 40;
}

